Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.control
Enum CompilePhase

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.control.CompilePhase

    enum CompilePhase
    extends Enum

Enum Constant Summary
`CANONICALIZATION`
`CLASS_GENERATION`
`CONVERSION`
`FINALIZATION`
`INITIALIZATION`
`INSTRUCTION_SELECTION`
`OUTPUT`
`PARSING`
`SEMANTIC_ANALYSIS`

Field Summary
`int` | `phaseNumber`
`static CompilePhase[]` | `phases`

Method Summary
`def` | `CompilePhase(int phaseNumber)`
`int` | `getPhaseNumber()`
`CompilePhase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`CompilePhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
name, hashCode, compareTo, compareTo, equals, toString, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Enum Constant Detail

### CANONICALIZATION

    CompilePhase CANONICALIZATION

### CLASS_GENERATION

    CompilePhase CLASS_GENERATION

### CONVERSION

    CompilePhase CONVERSION

### FINALIZATION

    CompilePhase FINALIZATION

### INITIALIZATION

    CompilePhase INITIALIZATION

### INSTRUCTION_SELECTION

    CompilePhase INSTRUCTION_SELECTION

### OUTPUT

    CompilePhase OUTPUT

### PARSING

    CompilePhase PARSING

### SEMANTIC_ANALYSIS

    CompilePhase SEMANTIC_ANALYSIS

Field Detail

### phaseNumber

    int phaseNumber

### phases

    static CompilePhase[] phases

Method Detail

### CompilePhase

    public def CompilePhase(int phaseNumber)

### getPhaseNumber

    public int getPhaseNumber()

### valueOf

    CompilePhase valueOf(String name)

  Returns the enum constant of this type with the specified name.

### values

    CompilePhase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Copyright © 2003-2009 The Codehaus. All rights reserved.